IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/src/astronomy/Makefile

    r2887 r3115  
    1 ifndef prefix
    2     export prefix=$(shell cd ../..;pwd)
    3 endif
    4 
    5 TARGET_STATIC  = libpslib.a
    6 include ../Makefile.Globals
    7 
    8 CFLAGS := $(CFLAGS_RELOC) -I. -I../sysUtils -I../collections -I../dataManip \
    9     -I.. -I../image -I../fileUtils \
    10     -DTIME_CONFIG_FILE="\"$(TIME_CONFIG_FILE)\""
    11 
    12 SRC_OBJS = psTime.o \
    13            psMetadata.o \
    14            psMetadataIO.o \
    15            psCoord.o \
    16            psAstrometry.o
    17 
    18 OBJS = $(addprefix makedir/,$(SRC_OBJS))
    19 
    20 HEADERS = $(SRC_OBJS:.o=.h) psPhotometry.h slalib.h
    21 
    22 all: $(TARGET_STATIC)
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# src/astronomy/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16
     17
     18SOURCES = $(libpslibastronomy_la_SOURCES)
     19
     20srcdir = .
     21top_srcdir = ../..
     22
     23pkgdatadir = $(datadir)/pslib
     24pkglibdir = $(libdir)/pslib
     25pkgincludedir = $(includedir)/pslib
     26top_builddir = ../..
     27am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     28INSTALL = /usr/bin/install -c
     29install_sh_DATA = $(install_sh) -c -m 644
     30install_sh_PROGRAM = $(install_sh) -c
     31install_sh_SCRIPT = $(install_sh) -c
     32INSTALL_HEADER = $(INSTALL_DATA)
     33transform = $(program_transform_name)
     34NORMAL_INSTALL = :
     35PRE_INSTALL = :
     36POST_INSTALL = :
     37NORMAL_UNINSTALL = :
     38PRE_UNINSTALL = :
     39POST_UNINSTALL = :
     40build_triplet = x86_64-unknown-linux-gnu
     41host_triplet = x86_64-unknown-linux-gnu
     42subdir = src/astronomy
     43DIST_COMMON = $(pslibinclude_HEADERS) $(srcdir)/Makefile.am \
     44        $(srcdir)/Makefile.in
     45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     46am__aclocal_m4_deps = $(top_srcdir)/configure.in
     47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     48        $(ACLOCAL_M4)
     49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     50CONFIG_HEADER = $(top_builddir)/src/config.h
     51CONFIG_CLEAN_FILES =
     52LTLIBRARIES = $(noinst_LTLIBRARIES)
     53libpslibastronomy_la_LIBADD =
     54am_libpslibastronomy_la_OBJECTS = psTime.lo psMetadata.lo \
     55        psMetadataIO.lo psCoord.lo psAstrometry.lo aoppa.lo aopqk.lo \
     56        oapqk.lo airmas.lo eqeqx.lo geoc.lo refco.lo aoppat.lo \
     57        dranrm.lo dcs2c.lo refz.lo refro.lo dcc2s.lo gmst.lo atms.lo \
     58        atmt.lo nutc.lo drange.lo
     59libpslibastronomy_la_OBJECTS = $(am_libpslibastronomy_la_OBJECTS)
     60DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
     61depcomp = $(SHELL) $(top_srcdir)/depcomp
     62am__depfiles_maybe = depfiles
     63COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     64        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     65LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
     66        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
     67        $(AM_CFLAGS) $(CFLAGS)
     68CCLD = $(CC)
     69LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
     70        $(AM_LDFLAGS) $(LDFLAGS) -o $@
     71F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
     72LTF77COMPILE = $(LIBTOOL) --mode=compile --tag=F77 $(F77) $(AM_FFLAGS) \
     73        $(FFLAGS)
     74F77LD = $(F77)
     75F77LINK = $(LIBTOOL) --mode=link --tag=F77 $(F77LD) $(AM_FFLAGS) \
     76        $(FFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
     77SOURCES = $(libpslibastronomy_la_SOURCES)
     78DIST_SOURCES = $(libpslibastronomy_la_SOURCES)
     79am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     80am__vpath_adj = case $$p in \
     81    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     82    *) f=$$p;; \
     83  esac;
     84am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     85am__installdirs = "$(DESTDIR)$(pslibincludedir)"
     86pslibincludeHEADERS_INSTALL = $(INSTALL_HEADER)
     87HEADERS = $(pslibinclude_HEADERS)
     88ETAGS = etags
     89CTAGS = ctags
     90DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     91ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     92AMDEP_FALSE = #
     93AMDEP_TRUE =
     94AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     95AR = ar
     96AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     97AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     98AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     99AWK = gawk
     100CC = gcc
     101CCDEPMODE = depmode=gcc3
     102CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     103CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     104CPP = gcc -E
     105CPPFLAGS =
     106CXX = g++
     107CXXCPP = g++ -E
     108CXXDEPMODE = depmode=gcc3
     109CXXFLAGS = -g -O2
     110CYGPATH_W = echo
     111DEFS = -DHAVE_CONFIG_H
     112DEPDIR = .deps
     113ECHO = echo
     114ECHO_C =
     115ECHO_N = -n
     116ECHO_T =
     117EGREP = grep -E
     118EXEEXT =
     119F77 = g77
     120FFLAGS = -fno-second-underscore -O -fno-f2c
     121GSL_CONFIG = /usr/bin/gsl-config
     122INSTALL_DATA = ${INSTALL} -m 644
     123INSTALL_PROGRAM = ${INSTALL}
     124INSTALL_SCRIPT = ${INSTALL}
     125INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     126LDFLAGS =
     127LIBOBJS =
     128LIBS =
     129LIBTOOL = $(SHELL) $(top_builddir)/libtool
     130LN_S = ln -s
     131LTLIBOBJS =
     132MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     133OBJEXT = o
     134PACKAGE = pslib
     135PACKAGE_BUGREPORT =
     136PACKAGE_NAME =
     137PACKAGE_STRING =
     138PACKAGE_TARNAME =
     139PACKAGE_VERSION =
     140PATH_SEPARATOR = :
     141PERL = /usr/bin/perl
     142PSLIB_CFLAGS = -I${prefix}/include
     143PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     144RANLIB = ranlib
     145SET_MAKE =
     146SHELL = /bin/sh
     147STRIP = strip
     148SWIG = /usr/bin/swig
     149VERSION = 1.5
     150XML_CONFIG = /usr/bin/xml2-config
     151ac_ct_AR = ar
     152ac_ct_CC = gcc
     153ac_ct_CXX = g++
     154ac_ct_F77 = g77
     155ac_ct_RANLIB = ranlib
     156ac_ct_STRIP = strip
     157am__fastdepCC_FALSE = #
     158am__fastdepCC_TRUE =
     159am__fastdepCXX_FALSE = #
     160am__fastdepCXX_TRUE =
     161am__include = include
     162am__leading_dot = .
     163am__quote =
     164am__tar = ${AMTAR} chof - "$$tardir"
     165am__untar = ${AMTAR} xf -
     166bindir = ${exec_prefix}/bin
     167build = x86_64-unknown-linux-gnu
     168build_alias =
     169build_cpu = x86_64
     170build_os = linux-gnu
     171build_vendor = unknown
     172datadir = ${prefix}/share
     173exec_prefix = ${prefix}
     174host = x86_64-unknown-linux-gnu
     175host_alias =
     176host_cpu = x86_64
     177host_os = linux-gnu
     178host_vendor = unknown
     179includedir = ${prefix}/include
     180infodir = ${prefix}/info
     181install_sh = /home/desonia/panstarrs/psLib/install-sh
     182libdir = ${exec_prefix}/lib
     183libexecdir = ${exec_prefix}/libexec
     184localstatedir = ${prefix}/var
     185mandir = ${prefix}/man
     186mkdir_p = mkdir -p --
     187oldincludedir = /usr/include
     188prefix = /home/desonia/panstarrs/psLib
     189program_transform_name = s,x,x,
     190sbindir = ${exec_prefix}/sbin
     191sharedstatedir = ${prefix}/com
     192sysconfdir = ${prefix}/etc
     193target_alias =
     194
     195#Makefile for astronomy functions of psLib
     196#
     197INCLUDES = \
     198        -I$(top_srcdir)/src/collections \
     199        -I$(top_srcdir)/src/dataManip \
     200        -I$(top_srcdir)/src/fileUtils \
     201        -I$(top_srcdir)/src/image \
     202        -I$(top_srcdir)/src/sysUtils \
     203        $(all_includes)
     204
     205noinst_LTLIBRARIES = libpslibastronomy.la
     206libpslibastronomy_la_SOURCES = \
     207        psTime.c \
     208        psMetadata.c \
     209        psMetadataIO.c \
     210        psCoord.c \
     211        psAstrometry.c \
     212        aoppa.f aopqk.f oapqk.f airmas.f eqeqx.f geoc.f refco.f aoppat.f \
     213        dranrm.f dcs2c.f refz.f refro.f dcc2s.f gmst.f atms.f atmt.f nutc.f drange.f
     214
     215BUILT_SOURCES = psAstronomyErrors.h
     216EXTRA_DIST = psAstronomyErrors.dat psAstronomyErrors.h
     217pslibincludedir = $(includedir)/pslib
     218pslibinclude_HEADERS = \
     219        psTime.h \
     220        psMetadata.h \
     221        psMetadataIO.h \
     222        psCoord.h \
     223        psAstrometry.h \
     224        psPhotometry.h \
     225        slalib.h
     226
     227all: $(BUILT_SOURCES)
     228        $(MAKE) $(AM_MAKEFLAGS) all-am
     229
     230.SUFFIXES:
     231.SUFFIXES: .c .f .lo .o .obj
     232$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     233        @for dep in $?; do \
     234          case '$(am__configure_deps)' in \
     235            *$$dep*) \
     236              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     237                && exit 0; \
     238              exit 1;; \
     239          esac; \
     240        done; \
     241        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/astronomy/Makefile'; \
     242        cd $(top_srcdir) && \
     243          $(AUTOMAKE) --gnu  src/astronomy/Makefile
     244.PRECIOUS: Makefile
     245Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     246        @case '$?' in \
     247          *config.status*) \
     248            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     249          *) \
     250            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     251            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     252        esac;
     253
     254$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     255        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     256
     257$(top_srcdir)/configure:  $(am__configure_deps)
     258        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     259$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     260        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     261
     262clean-noinstLTLIBRARIES:
     263        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
     264        @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
     265          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
     266          test "$$dir" != "$$p" || dir=.; \
     267          echo "rm -f \"$${dir}/so_locations\""; \
     268          rm -f "$${dir}/so_locations"; \
     269        done
     270libpslibastronomy.la: $(libpslibastronomy_la_OBJECTS) $(libpslibastronomy_la_DEPENDENCIES)
     271        $(F77LINK)  $(libpslibastronomy_la_LDFLAGS) $(libpslibastronomy_la_OBJECTS) $(libpslibastronomy_la_LIBADD) $(LIBS)
     272
     273mostlyclean-compile:
     274        -rm -f *.$(OBJEXT)
     275
     276distclean-compile:
     277        -rm -f *.tab.c
     278
     279include ./$(DEPDIR)/psAstrometry.Plo
     280include ./$(DEPDIR)/psCoord.Plo
     281include ./$(DEPDIR)/psMetadata.Plo
     282include ./$(DEPDIR)/psMetadataIO.Plo
     283include ./$(DEPDIR)/psTime.Plo
     284
     285.c.o:
     286        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     287        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     288#       source='$<' object='$@' libtool=no \
     289#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     290#       $(COMPILE) -c $<
     291
     292.c.obj:
     293        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     294        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     295#       source='$<' object='$@' libtool=no \
     296#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     297#       $(COMPILE) -c `$(CYGPATH_W) '$<'`
     298
     299.c.lo:
     300        if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     301        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     302#       source='$<' object='$@' libtool=yes \
     303#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     304#       $(LTCOMPILE) -c -o $@ $<
     305
     306.f.o:
     307        $(F77COMPILE) -c -o $@ $<
     308
     309.f.obj:
     310        $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
     311
     312.f.lo:
     313        $(LTF77COMPILE) -c -o $@ $<
     314
     315mostlyclean-libtool:
     316        -rm -f *.lo
     317
     318clean-libtool:
     319        -rm -rf .libs _libs
     320
     321distclean-libtool:
     322        -rm -f libtool
     323uninstall-info-am:
     324install-pslibincludeHEADERS: $(pslibinclude_HEADERS)
     325        @$(NORMAL_INSTALL)
     326        test -z "$(pslibincludedir)" || $(mkdir_p) "$(DESTDIR)$(pslibincludedir)"
     327        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     328          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
     329          f=$(am__strip_dir) \
     330          echo " $(pslibincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     331          $(pslibincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(pslibincludedir)/$$f"; \
     332        done
     333
     334uninstall-pslibincludeHEADERS:
     335        @$(NORMAL_UNINSTALL)
     336        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     337          f=$(am__strip_dir) \
     338          echo " rm -f '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     339          rm -f "$(DESTDIR)$(pslibincludedir)/$$f"; \
     340        done
     341
     342ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     343        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     344        unique=`for i in $$list; do \
     345            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     346          done | \
     347          $(AWK) '    { files[$$0] = 1; } \
     348               END { for (i in files) print i; }'`; \
     349        mkid -fID $$unique
     350tags: TAGS
     351
     352TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     353                $(TAGS_FILES) $(LISP)
     354        tags=; \
     355        here=`pwd`; \
     356        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     357        unique=`for i in $$list; do \
     358            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     359          done | \
     360          $(AWK) '    { files[$$0] = 1; } \
     361               END { for (i in files) print i; }'`; \
     362        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     363          test -n "$$unique" || unique=$$empty_fix; \
     364          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     365            $$tags $$unique; \
     366        fi
     367ctags: CTAGS
     368CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     369                $(TAGS_FILES) $(LISP)
     370        tags=; \
     371        here=`pwd`; \
     372        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     373        unique=`for i in $$list; do \
     374            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     375          done | \
     376          $(AWK) '    { files[$$0] = 1; } \
     377               END { for (i in files) print i; }'`; \
     378        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     379          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     380             $$tags $$unique
     381
     382GTAGS:
     383        here=`$(am__cd) $(top_builddir) && pwd` \
     384          && cd $(top_srcdir) \
     385          && gtags -i $(GTAGS_ARGS) $$here
     386
     387distclean-tags:
     388        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     389
     390distdir: $(DISTFILES)
     391        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     392        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     393        list='$(DISTFILES)'; for file in $$list; do \
     394          case $$file in \
     395            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     396            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     397          esac; \
     398          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     399          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     400          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     401            dir="/$$dir"; \
     402            $(mkdir_p) "$(distdir)$$dir"; \
     403          else \
     404            dir=''; \
     405          fi; \
     406          if test -d $$d/$$file; then \
     407            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     408              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     409            fi; \
     410            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     411          else \
     412            test -f $(distdir)/$$file \
     413            || cp -p $$d/$$file $(distdir)/$$file \
     414            || exit 1; \
     415          fi; \
     416        done
     417check-am: all-am
     418check: $(BUILT_SOURCES)
     419        $(MAKE) $(AM_MAKEFLAGS) check-am
     420all-am: Makefile $(LTLIBRARIES) $(HEADERS)
     421installdirs:
     422        for dir in "$(DESTDIR)$(pslibincludedir)"; do \
     423          test -z "$$dir" || $(mkdir_p) "$$dir"; \
     424        done
     425install: $(BUILT_SOURCES)
     426        $(MAKE) $(AM_MAKEFLAGS) install-am
     427install-exec: install-exec-am
     428install-data: install-data-am
     429uninstall: uninstall-am
     430
     431install-am: all-am
     432        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     433
     434installcheck: installcheck-am
     435install-strip:
     436        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     437          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     438          `test -z '$(STRIP)' || \
     439            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     440mostlyclean-generic:
     441
     442clean-generic:
     443
     444distclean-generic:
     445        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     446
     447maintainer-clean-generic:
     448        @echo "This command is intended for maintainers to use"
     449        @echo "it deletes files that may require special tools to rebuild."
     450        -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
     451clean: clean-am
     452
     453clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
     454        mostlyclean-am
     455
     456distclean: distclean-am
     457        -rm -rf ./$(DEPDIR)
     458        -rm -f Makefile
     459distclean-am: clean-am distclean-compile distclean-generic \
     460        distclean-libtool distclean-tags
     461
     462dvi: dvi-am
     463
     464dvi-am:
     465
     466html: html-am
     467
     468info: info-am
     469
     470info-am:
     471
     472install-data-am: install-pslibincludeHEADERS
     473
     474install-exec-am:
     475
     476install-info: install-info-am
     477
     478install-man:
     479
     480installcheck-am:
     481
     482maintainer-clean: maintainer-clean-am
     483        -rm -rf ./$(DEPDIR)
     484        -rm -f Makefile
     485maintainer-clean-am: distclean-am maintainer-clean-generic
     486
     487mostlyclean: mostlyclean-am
     488
     489mostlyclean-am: mostlyclean-compile mostlyclean-generic \
     490        mostlyclean-libtool
     491
     492pdf: pdf-am
     493
     494pdf-am:
     495
     496ps: ps-am
     497
     498ps-am:
     499
     500uninstall-am: uninstall-info-am uninstall-pslibincludeHEADERS
     501
     502.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
     503        clean-libtool clean-noinstLTLIBRARIES ctags distclean \
     504        distclean-compile distclean-generic distclean-libtool \
     505        distclean-tags distdir dvi dvi-am html html-am info info-am \
     506        install install-am install-data install-data-am install-exec \
     507        install-exec-am install-info install-info-am install-man \
     508        install-pslibincludeHEADERS install-strip installcheck \
     509        installcheck-am installdirs maintainer-clean \
     510        maintainer-clean-generic mostlyclean mostlyclean-compile \
     511        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     512        tags uninstall uninstall-am uninstall-info-am \
     513        uninstall-pslibincludeHEADERS
     514
    23515
    24516psAstronomyErrors.h: psAstronomyErrors.dat
    25         perl ../parseErrorCodes.pl --data=$? $@
    26 
    27 
    28 # Rule to make static library
    29 
    30 libpslib.a:     $(OBJS)
    31 # The ar option -r is to add/replace object and -s is to create
    32 # a symbol table in the archive
    33         $(AR) rcs ../$@ $(OBJS)
    34 
    35 # Define PHONY target "install" which will install necessary files
    36 install: $(TARGET_STATIC)
    37         install $(HEADERS) $(includedir)
    38 
    39 # Define PHONY target "distclean" which will cleanup the distribution
    40 distclean:      clean
    41         $(RM) ../$(TARGET_STATIC)
    42 
    43 # Define PHONY target "clean" which will cleanup the development area
    44 clean:
    45         @echo "    Deleting intermediate files for 'astronomy'"
    46         $(RM) $(OBJS) *.lint $(SRC_OBJS:.o=.i)
    47 
    48 cleandep:
    49         $(RM) $(OBJS:.o=.d)
    50 
    51 %.lint: %.c
    52         splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
    53 
    54 %.i: %.c
    55         $(CC) -E $(CFLAGS) -o $@ $<
    56 
    57 makedir/%.o: %.c
    58         $(CC) -c $(CFLAGS) -o $@ $<
    59 
    60 makedir/%.d: %.c
    61         $(CC) -MM $(CFLAGS) $< > $@.tmp
    62         sed 's|\($*\)\.o[ :]*|\1.o $@ : |g' $@.tmp | sed 's|[A-Za-z0-9\/\.]*libxml[A-Za-z0-9\/\.]*||g' > $@
    63         $(RM) -f $@.tmp
    64 
    65 include $(OBJS:.o=.d)
     517        perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@
     518# Tell versions [3.59,3.63) of GNU make to not export all variables.
     519# Otherwise a system limit (for SysV at least) may be exceeded.
     520.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.